지역 설정
country 파라미터에 2자리 ISO 국가 코드를 사용하면 해당 위치에서 요청을 보낼 수 있습니다. 지원되는 국가는 프록시 유형에 따라 다릅니다. 지오로케이션 액세스가 없는 플랜은 선택한 풀에서 무작위 국가가 지정됩니다.
Endpoint
섹션 제목: “Endpoint” GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&country=us&proxy_type=datacenter
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Web Scraping API 키 |
url | string | yes | 가져올 대상 URL |
country | string | no | 2자리 국가 코드 (예: us, gb, de). |
proxy_type | string | no | datacenter (기본값) 또는 residential. |
Supported countries
섹션 제목: “Supported countries”- Datacenter:
us,ca,gb,de,fr,es,mx,jp,cn,au. - Residential:
us,ca,gb,de,fr,es,jp,cn,au,br,in,mx.
Example request
섹션 제목: “Example request”curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https%3A%2F%2Fhttpbin.org%2Fget&country=us&proxy_type=datacenter"import requests
r = requests.get("https://scrape.shifter.io/v1", params={ "api_key": "YOUR_API_KEY", "url": "https://httpbin.org/get", "country": "us", "proxy_type": "datacenter",})print(r.json())import fetch from 'node-fetch';
const url = 'https://scrape.shifter.io/v1?' + new URLSearchParams({ api_key: 'YOUR_API_KEY', url: 'https://httpbin.org/get', country: 'us', proxy_type: 'datacenter',});const res = await fetch(url);console.log(await res.json());Example response
섹션 제목: “Example response”{ "args": {}, "headers": { "Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8", "Accept-Encoding": "gzip, deflate, br", "Host": "httpbin.org", "Upgrade-Insecure-Requests": "1", "User-Agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.0 Safari/537.36" }, "origin": "192.3.214.245", "url": "https://httpbin.org/get"}